# GNOME Terminal brugermanual.

Miguel
de Icaza
ufærdig dokumentation

Dette dokument må redistribueres frit i overensstemmelse med betingelserne givet i GNU General Public License.

## Gnome terminal brugermanual.

### Beskrivelse

Gnome-terminal er en terminalemulator som er en del af Gnome projektet. Den giver adgang til Unix-kommandoskallen i Gnome miljøet.

Gnome-terminal understøtter farver (se sektionen om miljø-variabler for detaljer) og har museunderstøttelse for applikationer som understøtter musehændelser for x-term lignende terminaler.

### Emulering

Den emulering som understøttes af Gnome terminal er den samme som findes i det xterm-program som leveres af X-konsortiet (som igen er en næsten komplet programefterligning af en VT102 DEC terminal).

Gnome terminal understøtter de samme udvidelser til VT102 som x-termer giver (gennem specielle "eskape-sekvenser"). Senere ændringer i xterm er også integreret i gnome-terminal eftersom de er blevet opdaget. Dette inkluderer emulering af de nyere DEC VT220 "eskape-sekvenser".

### Konfigurérbare indstillinger

Du kan indstille terminalen vha. menuen 'Indstillinger', eller 'Opsætning' som kan hentes frem fra Filer-menuen eller ved højreklik.

#### Generelt

De fleste indstillingsmuligheder er selvforklarende, men vi vil alligevel gå i detaljer med nogle af dem her.

Terminalklasse

  Angiver terminalens klasse. Læs sektionen om klasser for mere information.

Vælg-tegn-efter-ord

  Angiver en liste med tegn (eller tegnklasser) som skal betragtes som 'ord-tegn'. Disse bruges når du markerer hele ord vha. dobbeltklik.

#### Farver

Gnome-terminal understøtter alle farveudvidelser som bruges af xterm. Denne side lader dig kontrollere disse farver.

Farvepalette

  gnome-terminal understøtter fire farvetyper: Linuxkonsol, Xterm, rxvt og farver du selv vælger. Disse angiver intensiteten og farverne for de seksten ANSI farvekombinationer som er understøttet af disse terminaler.

  Hvis du har valgt personlige farver kan alle de 16 farver (egentlig 8 farver og 8 lyse farver) bestemmes af brugeren ved at klikke på farvevælgerne.

For/baggrundsfarve

  Gnome-terminal tillader dig at vælge for- og baggrundsfarve med mindre den applikation som kører i gnome-terminal overtager styringen af farver.

  Følgende farver er mulige: hvidt på sort, sort på hvidt, grøn på sort, sort på lysegul og egne farver. Hvordan disse faktisk ser ud er afhængig af hvilken palette som er valgt (for alternativerne hvidt på sort og sort på hvidt). Egne farver lader dig vælge standard forgrunds- og baggrundsfarve individuelt og uafhængigt af paletten.

  Derudover kan brugeren gribe en farve fra den rektangulære boks under farvehjulet fra enhver Gnome farvevælger eller farvekilde, trække den ind og slippe den ovenpå terminalen. Hvis brugeren slipper farven på et hvidt område vil den bestemme baggrundsfarven, hvis brugeren slipper farven på en celle som indeholder et tegn, vil dette ændre forgrundsfarven. Det vil også automatisk ændre egne farver og bestemme de brugerdefinerede forgrunds- eller baggrundsfarver.

### Terminalklasser

Gnome-terminal lader dig have forskellige konfigurationsprofiler for at kunne tilpasse den til forskellige anvendelser. For at gøre dette skal du bare navngive din nye konfigurationsklasse ved at indtaste et nyt navn i feltet 'Terminalklasse'.

For at aktivere en bestemt klasse ved programmets start kan du bruge '--class' kommandolinjeflagget.

### Kommandolinieflag

- --background FARVE

  Bruges til at angive baggrundsfarven for terminalen ved opstart. FARVE kan være enhvert ord der accepteres af vinduessystemet (rgb.txt).

- --class KLASSENAVN

  KLASSENAVN angiver terminalklassen som bruges til at indstille terminalen ved opstart.

- --command KMD, -e KMD

  Kører kommandoen KMD ved opstart.

- --execute KMD ARG, -x KMD ARG

  Udfører kommandoen KMD med argumenterne ARG ved opstart. Ingen argumenter udover disse vil blive accepteret af terminalen, denne opførsel efterligner xterm -e.

- --font SKRIFTTYPE

  Sætter terminalens skrifttype til SKRIFTTYPE.

- --foreground FARVE

  Sætter terminalens forgrund til FARVE.

- --geometry GEOMETRI

  Angiver terminalens størrelse ved opstart. Geometri angiver ønsket bredde og højde i antal terminaltegn. For eksempel: --geometry=80x40 vil lave en terminal med firs kolonner og fyrre linier.

  FIKSMIG: Henvisning til gnome-libs dokument om GEOMETRY specifikationer når den er færdig

- --login

  Lader gnome-terminal starte skallen i logind-tilstand (det vil køre alle dine indlogningsopstartskript i denne tilstand).

- --nologin

  Start gnome-terminal som en almindelig skal.

- --noutmp

  Indikerer at denne og associerede skal ikke skal registreres i systemets database af brugere som er logget ind på maskinen.

- --utmp

  Fortæller at brugeren ønsker at denne terminalen skal registreres i systemets database af brugere som er logget ind på maskinen (utmp databasen). Dette er valgt som standard.

- --title TITEL, -t TITEL

  Lader Gnome-terminal bruge TITEL som vinduesoverskrift.

- --termname TERMNAVN

  Gør at Gnome-terminal bruger TERMNAVN som værdi i TERM miljøvariabelen.

### Musepilen

Markøren kan bruges til at markere (kopiere), og gøre udvidet udvalg af tekst, indsætte tekst fra andre terminaler eller applikationer, og til at hente en menu frem.

#### Markering

Venstre museknap kan bruges til at begynde en markering. Hvis museknapen klikkes en gang, for så at trække, så bliver tegnene valgt individuelt. Hvis du trækker udenfor de lodrette kanter af vinduet, vil terminalen rulle for at følge med.

Hvis venstre museknap dobbeltklikkes vil udvalget bli gjort efter ord-tegn. Hold museknapen nede ved det andre klikket og trække for at udvide udvalget. Ord-tegnene er defineret i Generelt under Vælg-ved-ord bogstaver.

Til slutt, hvis venstre musknap trippelklikkes og holdes, vil hele linjer merkes når du drar musen opp og ned.

Den midterste museknapen kan bruges til at udvide udvalget. Bare rul til det stedet du ønsker at udvide udvalget til, og klik højre museknap. Igen vil enkelt, dobbelt og tredobbeltklik og træk resultere i tegn, ord, eller linjeudvalg.

I alle tilfælde vil slip af museknappen automatisk medføre kopiering af tekst til klipbordet og kan også medføre kopiering af tekst til andre applikationer. Bemærk at enhver udskrift på skærmen vil fjerne den viste markering, men det vil ikke medføre tab af indholdet på klipbordet.

#### Lim inn tekst

Hvis den midterste museknapen er nedtrykt, vil den aktive markering indsættes i vinduet. Dette kan bruges til at overføre tekst fra andre applikationer.

Hvis du bare har en 2-knaps mus, vil din X-tjeneren sandsynligvis have en måde at emulere den midterste museknap på. Se i dokumentationen for X-tjeneren for mere information.

#### Musehjul

Hvis du har en mus med hjul (som sender hændelser for museknap 4 og 5), så kan du bruge hjulet til at rulle op og ned i tilbage- rullingsbufferen.

#### Kontrollmenu

Markøren kan også bruges for til at hente en højrekliksmenu ind, som kan bruges til at nulstille terminalen, eller få hovedmenulinjen tilbage hvis den er skjult.

Ved at holde CTRL-tasten nede, kan højre museknap bruges til at vise denne menu.

#### Træk-og-slip

Træk-og-slip kan bruges til en række operationer indeni terminalen.

Træk filer

  Hvis filer trækkes ind i terminalen vil filnavnet på filen blive indsat i vinduet. Url'er kan også indsættes på denne måde.

Træk farver

  En farve kan trækkes ind på skærmen fra en anden Gnome applikation eller fra farvevælgeren. Hvis de slippes på et tegn, sættes forgrundsfarven, ellers sættes baggrundsfarven. Se i farvekonfiguration sektionen.

### Menuer

Gnome-terminal præsenterer et antal kontrolfunktioner via hovedmenuen, og en højrekliksmenu som er tilgængelig ved at trykke på højre museknap mens man holder CTRL-tasten nede.

#### Filmenu

Ny terminal

  Åbner en ny terminal. Dette er en effektiv måde at starte flere terminaler, så de håndteres af samme proces. Hver terminal starter alligevel sin egen underskalsproces.

Skjul menulinie

  Skjuler hovedmenulinien i terminalen, hvilket giver en mindre terminal. Menulinien kan hentes frem igen ved at bruge højrekliksmenuen, som fåes frem ved at holde CTRL tasten nede og samtidig trykke på højre museknap.

Lukk terminal

  Lukker aktiv terminal. Hvis dette er den sidste terminal som lukkes, vil gnome-terminal programmet afslutte.

#### Redigér menuen

Indsæt

  Indsætter markering eller indholdet af klipbordet i terminalen. Dette kan også opnåes ved at bruge den midterste museknap.

#### Inntillinger menuen

Brukervalg ...

  Viser dialogen brukervalg. Indstillingerne som kan kontolleres fra denne dialogen er beskrevet i konfigurations- sektionen

Nulstil terminal

  Nulstiller terminalparametrene. Dette vil ikke rydde skærmen eller flytte markøren, men alt hvad der står på skærmen vil vist med standardskrifttype og attributter.

Nulstil og ryd

  Nulstiller alle terminalparametre, og rydder desuden skærmen. Alle skrifttyper og attributter nulstilles.

Farvevælger ...

  Kan bruges til at trække og slippe farver ovenpå terminalen. Se farvevælger-beskrivelsen.

#### Hjælpemenuen

Gnome terminal brugermanual ...

  Hvordan man indhenter dette dokument fra gnome-terminal.

Om ...

  Tak til alle de hårdt arbejdende mennesker som gjorde det hele muligt.

#### Højrekliksmenu

Højrekliksmenuen fåes frem ved at trykke på højre museknap mens CTRL-tasten holdes nede. Den skal være en enkel genvej til hovedmenuen, eller til når hovedmenuen er skjult. Følgende menupunkter er tilgængelige:

Ny terminal ...

  Åbner et nyt terminalvindue.

Indstillinger ...

  Viser indstillingsdialogboksen.

Skjul/vis menulinie ...

  Skjuler eller viser hovedmenulinien, afhængig af de forrige valg.

Nulstil terminal

  Nulstiller terminalattributterne uden at rydde skærmen.

Nulstil og ryd

  Nulstiller terminalattributterne og rydder skærmen.

### Miljø

Følgende variabler sættes af gnome-terminal:

- TERM

  Denne variabel er sat til "xterm" som standard. Nogen curses implementationer og applikationer baseret på curses ønsker måske at værdien skal være xterm-color, color-xterm eller xterm-debian for at understøtte farver. Du bliver måske nødt til at ændre denne indstilling til en af disse værdier hvis dine applikationer ikke er i farver. Dette kan gøres via --termname kommandolinieflaggene

- COLORTERM

  Denne variabel er angivet som "gnome-terminal". Flere applikationer (specielt Slang baserede) bruger denne indstilling til at afgøre om terminalen understøtter farver.

- WINDOWID

  Denne variabel indeholder X11 vinduesidentifikatoren. Denne bruges nogen gange af applikationer til at modificere indholdet af dette vindue eller til at tilbyde specialeffekter.

### Forfattere

Et antal mennesker arbejder sammen for at give dig gnome-terminalen:

Michael Zucchi kodede Zvt widget motoren; Miguel de Icaza og Jay Painter forbedret den og udførte videre aflusning og vedlifehold. George Lebl tilførte gennemsigtighed og støtte for baggrundsbilleder til widget'et. Senere forbedrede Michael Zucchi gennemsigtigheden og billedeunderstøttelsen, hvilket gav pænere og hurtigere visning og en alternativ rulletilstand.

Miguel skrev hovedparten af gnome-terminal programmet, og Erik Troan tilførte terminalklasse-understøttelse sammen med forskellige andre funktioner. Jeff Garzik, Jay, Christopher Blizzard, Michael, Jens Lautenbacher, Tom Tromey, Tristan Tarrant og Jonathan Blandford kom med ekstra fejlrettelser. Nat Friedman reviderede brugergrænsefladen til at følge retningslinjerne for Gnome. Felix Bellaby, Tom Tromey og Manish Vachharajani implementerede og forbedrede koden for sessionsbehandling.

## Gnome terminal, teknisk manual.

### Test

test